﻿namespace Cop.Borovkov.Var3.Models
{
    /// <summary>
    /// Параметры столбца таблицы
    /// </summary>
    public record CustomDataTableColumnParameter
    {
        /// <summary>
        /// Заголовок
        /// </summary>
        public string HeaderName { get; init; } = string.Empty;

        /// <summary>
        /// Ширина
        /// </summary>
        public int Width { get; init; } = 0;

        /// <summary>
        /// Видимость
        /// </summary>
        public bool Visible { get; init; } = true;

        /// <summary>
        /// Название свойства
        /// </summary>
        public string PropertyName { get; init; } = string.Empty;
    }
}
